commit: 3ccb4f2dbb793844e0c1e9c9b940ad46826269b7
Author: Fabian Groffen <grobian <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 30 10:42:52 2021 +0000
Commit: Fabian Groffen <grobian <AT> gentoo <DOT> org>
CommitDate: Thu Dec 30 10:42:52 2021 +0000
URL: https://gitweb.gentoo.org/repo/proj/prefix.git/commit/?id=3ccb4f2d
stage3: emerge system with default CFLAGS iso empty
No reason to force C*FLAGS to empty values, just use the profile
defaults, like we did with all packages leading up to this final emerge.
Drop the GNUSTEP_BASE hack, it (hopefully is) obsolete by now.
This fixes a problem with libtasn1 where gnulib uses inlined symbols
that don't get inlined due to no optimisation in use (-O2 default from
profile), which results in non-external objects which cannot be resolved
by the linker eventually. So while this problem is a real one, using
default CFLAGS fixes this (masks it, really), but this is a nice
side-effect from cleaning this up.
Signed-off-by: Fabian Groffen <grobian <AT> gentoo.org>
scripts/bootstrap-prefix.sh | 9 ++++-----
1 file changed, 4 insertions(+), 5 deletions(-)
diff --git a/scripts/bootstrap-prefix.sh b/scripts/bootstrap-prefix.sh
index 58cf0a47e6..643d163211 100755
--- a/scripts/bootstrap-prefix.sh
+++ b/scripts/bootstrap-prefix.sh
@@ -2188,13 +2188,12 @@ bootstrap_stage3() {
export USE="-git -crypt"
# Portage should figure out itself what it needs to do, if anything.
- # Avoid glib compiling for Cocoa libs if it finds them, since we're
- # still with an old llvm that may not understand the system headers
- # very well on Darwin (-DGNUSTEP_BASE_VERSION hack)
einfo "running emerge -uDNv system"
estatus "stage3: emerge -uDNv system"
- CPPFLAGS="-DGNUSTEP_BASE_VERSION" \
- CFLAGS= CXXFLAGS= emerge --color n -uDNv system || return 1
+ (
+ unset CFLAGS CXXFLAGS CPPFLAGS
+ emerge --color n -uDNv system
+ ) || return 1
# remove anything that we don't need (compilers most likely)
einfo "running emerge --depclean"